rpmInstallArguments_s Struct Reference
I/O » Command Line API.

Describe database command line requests. More...

`#include <rpmcli.h>`

Collaboration diagram for rpmInstallArguments_s:
[legend]

## Data Fields

rpmtransFlags | transFlags
rpmprobFilterFlags | probFilter
rpmInstallFlags | installInterfaceFlags
int | numRelocations
int | noDeps
int | incldocs
rpmRelocation * | relocations
char * | prefix

## Detailed Description

Describe database command line requests.

Definition at line 355 of file rpmcli.h.

## Field Documentation

## incldocs

int rpmInstallArguments_s::incldocs

Definition at line 361 of file rpmcli.h.

## installInterfaceFlags

rpmInstallFlags rpmInstallArguments_s::installInterfaceFlags

Definition at line 358 of file rpmcli.h.

## noDeps

int rpmInstallArguments_s::noDeps

Definition at line 360 of file rpmcli.h.

## numRelocations

int rpmInstallArguments_s::numRelocations

Definition at line 359 of file rpmcli.h.

## prefix

char* rpmInstallArguments_s::prefix

Definition at line 363 of file rpmcli.h.

## probFilter

rpmprobFilterFlags rpmInstallArguments_s::probFilter

Definition at line 357 of file rpmcli.h.

## relocations

rpmRelocation* rpmInstallArguments_s::relocations

Definition at line 362 of file rpmcli.h.

## transFlags

rpmtransFlags rpmInstallArguments_s::transFlags

Definition at line 356 of file rpmcli.h.

The documentation for this struct was generated from the following file:

- rpmcli.h